libzypp 17.38.15

ZYppFactory.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp/ZYpp.h>`

Go to the source code of this file.

## Classes
class | zypp::ZYppFactoryException
class | zypp::ZYppFactory
| ZYpp factory class (Singleton). More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ZYppFactory &obj)
| relates: ZYppFactory Stream output
ZYpp::Ptr | zypp::getZYpp ()
| relates: ZYppFactory Convenience to get the Pointer to the ZYpp instance.